#

## openwrapper

Open a GUI layout window and all of its associated frames.

### Shortcuts:

> Menu option File->New window implements the command openwrapper in the GUI layout window.

### Usage:

> openwrapper [cellname] frame_name]]

> > where frame_name is the Tk path name of the top-level layout GUI window frame. By default, this name is `.layout1`, `.layout2`, etc., for successive layout windows. cellname is the name of a cell to be loaded into the window. Options behave the same was as they do for the non-GUI openwindow command.

### Summary:

> The openwrapper command creates a new layout window in the Tcl version of magic. It is only applicable when magic is invoked with the GUI wrapper, using magic -w, and supercedes the built-in command openwindow.

### Implementation Notes:

> openwrapper is implemented as a Tcl procedure in the GUI wrapper script.

### See Also:

> openwindow
> closewrapper

Return to command index

Last updated: March 7, 2020 at 1:06pm